Equo Package Error (emacs-common-gentoo-1.4)

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Equo Package Error (emacs-common-gentoo-1.4)

Postby dontregister » Tue Nov 26, 2013 3:13

I got this error message when updating 2013-11-25. Says to report it, so here I am.

Code: Select all
>>  +++ >>>  (24/26) app-emacs/emacs-common-gentoo-1.4
>>    ## Unpacking: app-emacs:emacs-common-gentoo-1.4.093a2204077afc192465c8e452fe7be0dc7cb258~0.tbz2
>>    ## Package phase: setup
>>    ## Package phase: preinstall
 * Regenerating site-gentoo.el for GNU Emacs (preinst) ...               [ ok ]
 * ... no changes.
rm: cannot remove ‘/var/tmp/entropy/packages/amd64/5/app-emacs_emacs-common-gentoo-1.4.093a2204077afc192465c8e452fe7be0dc7cb258_0.tbz2/portage/app-emacs/emacs-common-gentoo-1.4/image//usr/share/emacs/site-lisp/site-gentoo.el.orig’: No such file or directory
 * ERROR: app-emacs/emacs-common-gentoo-1.4::gentoo failed (preinst phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line  93:  Called pkg_preinst
 *   environment, line 2696:  Called die
 * The specific snippet of code:
 *           rm "${ED}${SITELISP}/site-gentoo.el.orig" || die;
 *
 * If you need support, post the output of `emerge --info '=app-emacs/emacs-common-gentoo-1.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=app-emacs/emacs-common-gentoo-1.4::gentoo'`.
 * The complete build log is located at '/var/tmp/entropy/packages/amd64/5/app-emacs_emacs-common-gentoo-1.4.093a2204077afc192465c8e452fe7be0dc7cb258_0.tbz2/portage/app-emacs/emacs-common-gentoo-1.4/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/entropy/packages/amd64/5/app-emacs_emacs-common-gentoo-1.4.093a2204077afc192465c8e452fe7be0dc7cb258_0.tbz2/portage/app-emacs/emacs-common-gentoo-1.4/temp/environment'.
 * Working directory: '/usr/lib64/portage/pym'
 * S: '/var/tmp/entropy/packages/amd64/5/app-emacs_emacs-common-gentoo-1.4.093a2204077afc192465c8e452fe7be0dc7cb258_0.tbz2/portage/app-emacs/emacs-common-gentoo-1.4/work/emacs-common-gentoo-1.4'
>>    ## QA: Cannot run phase preinstall, Phase terminated with exit status: 1. Please report it.
>>    ## Installing package: app-emacs/emacs-common-gentoo-1.4
>>    ## [Common files needed by all GNU Emacs versions]
>>    ## Updating database: app-emacs/emacs-common-gentoo-1.4
>>    ## Cleaning previously installed application data.
>>    ## Package phase: postremove
 * Updating desktop mime database ...
 * Updating icons cache ...                                              [ ok ]
>>    ## Package phase: postinstall
 * Updating desktop mime database ...
 * Updating icons cache ...                                              [ ok ]
>>    ## Cleaning: app-emacs/emacs-common-gentoo-1.4


Looks like its just a string concatenation mistake, though I don't know the fix. I tried looking in /var/tmp/entropy/... and /usr/share/emacs/... but I didn't see either file.

Is this something I will need to fix manually or can I just wait for a new package push?

Thanks
dontregister
Baby Hen
 
Posts: 16
Joined: Sun Jul 22, 2012 10:57

Re: Equo Package Error (emacs-common-gentoo-1.4)

Postby svantoviit » Tue Nov 26, 2013 8:22

dontregister wrote:Says to report it…

meant https://bugs.sabayon.org/ not the forums.
svantoviit
Old Dear Hen
 
Posts: 651
Joined: Sun Feb 28, 2010 17:55


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest